#ifndef __MAIN_H
#define __MAIN_H 1


// If you don't have an SDCARD interface set to 0
#define SDCARD 1
// Adjust this for size of your board
#define BUFSIZE 16384
#define BUFSIZEMASK 0x3FFF

_EXTERN_ unsigned short buffer[BUFSIZE];  // Sample buffer
_EXTERN_ unsigned short bp;          // pointer to same

_EXTERN_ float timebaseus;


_EXTERN_ char ibuf[33];  // input token

extern Serial pc;


int getachar(void);
int gettoken(int type=0);
int getnum(unsigned int *v, int type);
int getdec(unsigned int *v);
int gethex(unsigned int *v);
int getfloat(float *v);
void exec(void);
void exec0(void);

#endif
